#!/bin/sh
# @nix.app.product.name@ @nix.app.product.version@

#########################  ListBackupSet.sh  ##################################
# You can use this shell to list all backup set.                              #
###############################################################################

#####################  Start: User Defined Section  ###########################

# ----------------------------- SETTING_HOME -------------------------------- #
# Directory to your OBC setting home. Default to ~/.acb or ~/.obm when not    #
# set.                                                                        #
# e.g. SETTING_HOME=~/.obm                                                    #
# --------------------------------------------------------------------------- #
SETTING_HOME=

######################  END: User Defined Section  ############################

###############################################################################
#      R E T R I E V E            A P P _ H O M E           P A T H           #
###############################################################################

cd `dirname "$0"`
APP_BIN=`pwd`
APP_HOME=`dirname "$APP_BIN"`

###############################################################################
#      R E T R I E V E           J A V A _ H O M E           P A T H          #
###############################################################################

if [ ! -x "$APP_HOME/jvm" ];
then
   echo "$APP_HOME/jvm does not exist!"
   if [ ! -n "$JAVA_HOME" ]; then
     echo "Please set JAVA_HOME!"
     exit 0
   else
     ln -sf "$JAVA_HOME" "$APP_HOME/jvm"
     echo "Created JAVA_HOME symbolic link at $APP_HOME/jvm"
   fi
fi

JAVA_HOME=$APP_HOME/jvm

###############################################################################
#                  J A V A                 E X E C U T I O N                  #
###############################################################################

cd "$APP_HOME"

LIB_HOME=./bin
JAVA_OPTS="-Xmx256m -client -Djava.library.path=$LIB_HOME"
CLASSPATH=$LIB_HOME:$LIB_HOME/obc.jar:$LIB_HOME/obc-lib.jar
MAIN_CLASS=ListBackupSet

echo "Using APP_HOME     : ${APP_HOME}"
echo "Using SETTING_HOME : ${SETTING_HOME}"

"$JAVA_HOME/bin/java" $JAVA_OPTS -cp $CLASSPATH $MAIN_CLASS "${APP_HOME}" "${SETTING_HOME}"

exit 0
